Name:           asciit
Version:        1.0.0
Release:        2%{?dist}
Summary:        A more compact and intuitive ASCII table highlighting digits and letters
License:        MIT
URL:            https://github.com/Q1CHENL/asciit
Source0:        https://github.com/Q1CHENL/asciit/releases/tag/v1.0.0/asciit-1.0.0.tar.gz

BuildRequires:  rust >= 1.40.0, cargo >= 1.40.0
# Requires:       Any runtime dependencies

%description
A more compact and intuitive ASCII table in your terminal: an alternative to man 7 ascii and ascii. Colored numbers and letters are much more easier to find. The table style is inspired by hexyl


%global debug_package %{nil}

%prep
%autosetup -n %{name}-%{version}

%build
cargo build --release --verbose

%install
install -Dm 755 target/release/asciit %{buildroot}%{_bindir}/asciit

%files
%{_bindir}/asciit

%changelog
* Wed Nov 15 2023 Qichen Liu <liuqichne@gmail.com> - 1.0.0-1
- Initial package
